Jump to content
justkunas

KPM not compatible with Firefox (any versions)

Recommended Posts

I have been using Kaspersky for many years as my preferred internet security software. I am very annoyed and disappointed that Kaspersky is not able to ensure that Kaspersky Pure 3.0, specifically the Password Manager is compatible with the latest update from Mozilla Firefox.

 

I am unable to use the current version of Firefox without having constant problems and I can’t update the browser since I will not be able to use the password manager, so you have left a longstanding customer in a catch 22 situation. I believe the update from Mozilla Firefox is in fact a security update and what I find so ironic is that Kaspersky is the software I use to keep me safe on the internet but is the very thing putting my computer at risk by being so slow to react to the ever changing world of technology.

 

I tried to use your online chat service, I was horrified to find that it’s an automated service and not a real person, I was constantly given random answers that did not make sense in relation to my question. How ridiculous that a company of your size provides such sub standard customer service to loyal and paying customers.

 

I can’t understand how a high-tech company like yourselves can use a lame excuse like “we’re not able to keep up with the update cycle of Mozilla Firefox”. You are after all in the business of online technology and if you can’t even keep up with simple updates for a browser how can your customers be sure that you are always up to date regarding the latest internet threats. Perhaps your company should rethink its strategy and go into the paint business – I hear watching the stuff dry takes ages, Kaspersky should feel right at home in that industry.

 

I would like to know what the time line is on sorting this problem out.

 

If you want people to take you seriously, then please stop acting like Micky Mouse and DO SOMETHING about the problem. Oh, and could you make it SNAPPY please?

Share this post


Link to post

Firefox 28 has been released and still no update. Any idea of when and if a fix will be released.

Edited by illmatic

Share this post


Link to post

Windows XP, KIS 2015, KPM 5, Firefox 30

when I want to login in a web page with only one login/password all is OK

but when I want to login in a web page where I recorded several login/password, I can't choose one of them since I installed KIS 2015 (no KPM popup menu and a click on the green KPM toolbar button don't works).

In KIS I go to Configuration/Advanced/Secured input of data (I translate from French)

I uncheck "protection of data input with keyboard", but nothing is working with KPM as I described above.

 

Any solution? Thanks.

Share this post


Link to post

Hello,

 

KPM5 is incompatible with Firefox30 yet. Unfortunately, we do not have the information about terms, when the compability patch will be launched.

Share this post


Link to post

On my Windows 8.1 Prof. System KPM 5.0.0.183 ist working with Firefox (now Vers. 31) as expected.

Under Windows 7 Prof. KPM is activated in Firefox and the KPM Icon is shown, but doesn't work.

Asks

Share this post


Link to post
Please look here.

 

The last posting is interesting for you.

I had read this posting before I posted my personal experience with the actual Firefox.

I find it interesting, that the compatibility of KPM 5.0.0.183 and Firefox may be dependent of the Windows System.

Asks

Share this post


Link to post
Guest
This topic is now closed to further replies.

×
×
  • Create New...

Important Information

We use cookies to make your experience of our websites better. By using and further navigating this website you accept this. Detailed information about the use of cookies on this website is available by clicking on more information.